Get Headers

Get Headers
List all HTTP headers for an MCP server.

This method allows you to list all HTTP headers configured for an MCP server instance. Returns all headers and their values, except for the values of secret headers.

Request
URI
GET
https://{api_host}/api/v1/control/mcp-servers/{mcp_server_id}/headers
COPY
Path Parameters
string
mcp_server_id
Required

mcp_server_id


Authentication
This operation uses the following authentication methods.
Responses
200

Successful Response

Returns McpServerHeaderListResponse of type(s) application/json
{
    "object": "string",
    "data": [
        {}
    ],
    "num_objects": 0
}
string
object
Optional
Constraints: default: list

Object type, which is always list.

array of object
data
Required

data

integer
num_objects
Required

Total number of objects that match the request.


404

Invalid MCP server ID.

Operation doesn't return any data structure

422

Validation Error

Returns HTTPValidationError of type(s) application/json
{
    "detail": [
        {
            "loc": [
                {}
            ],
            "msg": "string",
            "type": "string"
        }
    ]
}
array of object
detail
Optional

detail


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/v1/control/mcp-servers/{mcp_server_id}/headers